org.keycloak.representations.idm

## Class AuthenticationExecutionRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.AbstractAuthenticationExecutionRepresentation
  - - org.keycloak.representations.idm.AuthenticationExecutionRepresentation

- All Implemented Interfaces:
    Serializable

      public class AuthenticationExecutionRepresentation
      extends AbstractAuthenticationExecutionRepresentation

  Author:
    Marko Strukelj
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationExecutionRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFlowId()`
    `String` | `getId()`
    `String` | `getParentFlow()`
    `void` | `setFlowId(String flowId)`
    `void` | `setId(String id)`
    `void` | `setParentFlow(String parentFlow)`

    - ### Methods inherited from class org.keycloak.representations.idm.AbstractAuthenticationExecutionRepresentation

      `getAuthenticator, getAuthenticatorConfig, getPriority, getRequirement, isAuthenticatorFlow, isAutheticatorFlow, setAuthenticator, setAuthenticatorConfig, setAuthenticatorFlow, setAutheticatorFlow, setPriority, setRequirement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationExecutionRepresentation

          public AuthenticationExecutionRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getFlowId

          public String getFlowId()

    - #### setFlowId

          public void setFlowId(String flowId)

    - #### getParentFlow

          public String getParentFlow()

    - #### setParentFlow

          public void setParentFlow(String parentFlow)

Copyright © 2021 JBoss by Red Hat. All rights reserved.